Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      get 'diploma_setting' => "diplomas#setting"
      get 'diplomas/download_excel_format' => 'diplomas#excel_format'
      post 'diplomas/import_from_excel' => 'diplomas#import_from_excel'

      resources :diplomas do
        collection do
          get 'toggle_hide' => 'diplomas#toggle_hide'
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :diplomas do
              collection do
                get 'frontend_setting' => 'diplomas#frontend_setting'
                post 'update_frontend_setting' => 'diplomas#update_frontend_setting'
              end
            end
          end
        end
      end

		end
    get "/xhr/personal_diploma/get_fields_for_index" => "personal_diplomas#get_fields_for_index"
    post "/xhr/personal_diploma/save_index_fields" => "personal_diplomas#save_index_fields"
	end
end
